#ifndef SPI_H_
#define SPI_H_

#include "inc/hw_types.h"
#include "inc/hw_memmap.h"
#include "driverlib/gpio.h"

#define SPI_BASE SSI0_BASE
#define SPI_PERIPHERAL SYSCTL_PERIPH_SSI0
#define SPI_PERIPHERAL_PORT SYSCTL_PERIPH_GPIOA
#define SPI_PORT_BASE GPIO_PORTA_BASE

#define SPI_MOSI	GPIO_PIN_5    //      PA5 - SSI0Tx
#define SPI_MISO	GPIO_PIN_4    //      PA4 - SSI0Rx
#define SPI_CLK		GPIO_PIN_2    //      PA2 - SSI0CL

void spi_init(void);
void spi_busy_wait(void);
void spi_getdata(unsigned char *data);
void spi_rx_clean(void);
void spi_send(unsigned char data);

#endif /*SPI_H_*/
